This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 955537 - help info description for vol-upload is incorrect
help info description for vol-upload is incorrect
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt (Show other bugs)
7.0
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Ján Tomko
Virtualization Bugs
:
Depends On:
Blocks: 955539
  Show dependency treegraph
 
Reported: 2013-04-23 05:13 EDT by Cui Lei
Modified: 2014-06-17 20:48 EDT (History)
5 users (show)

See Also:
Fixed In Version: libvirt-1.0.5-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 955539 (view as bug list)
Environment:
Last Closed: 2014-06-13 06:59:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Cui Lei 2013-04-23 05:13:35 EDT
Description of problem:
#virsh help vol-upload
...
DESCRIPTION
    Upload a file into a volume
...
#man virsh and check the vol-upload part
"Upload the contents of local-file to a storage volume."

Help info description for vol-upload is incorrect, should use 'contents' instead of 'file', and consistent with manual doc



'vol-download' will not wipe the volume. We can see it from 'virsh-volume.c' and 'libvirt.c'(virStorageVolDownload).
But the manpage says: vol-name-or-key-or-path is the name or key or path of the volume to wipe.
In fact, ‘vol-upload’ will wipe the volume.

Version-Release number of selected component (if applicable):
libvirt-1.0.4-1.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. #virsh help vol-upload
2. #man virsh and check the vol-upload part

Actual results:
Both of the description of virsh vol-upload are different, help info description is incorrect
Expected results:
Should use 'contents' instead of 'file', and consistent with manual doc

Additional info
Comment 2 Ján Tomko 2013-04-30 08:41:51 EDT
man page has been fixed fixed upstream by:
commit 11e295705a4c19aee71ab6bb9334b31174adbcd1
Author:     Martin Kletzander <mkletzan@redhat.com>
AuthorDate: 2013-04-02 14:33:49 +0200
Commit:     Martin Kletzander <mkletzan@redhat.com>
CommitDate: 2013-04-02 17:06:40 +0200

    manual: Fix copy-paste errors
    
    Descriptions for vol-download and vol-upload didn't make much sense.
    
    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=923613


help description has been fixed by:
commit ce284bb56dce0c35ec3e3bf3f019bca67ae0fab8
Author:     Ján Tomko <jtomko@redhat.com>
AuthorDate: 2013-04-30 14:19:49 +0200
Commit:     Ján Tomko <jtomko@redhat.com>
CommitDate: 2013-04-30 14:19:49 +0200

    virsh: clarify vol-{down,up}load description
    
    Mention file/volume contents instead of just 'file'/'volume'.
Comment 3 Huang Wenlong 2013-05-06 22:41:12 EDT
Verify this bug with:
libvirt-1.0.5-1.el7.x86_64

# virsh help vol-upload
  NAME
    vol-upload - upload file contents to a volume

  SYNOPSIS
    vol-upload <vol> <file> [--pool <string>] [--offset <number>] [--length <number>]

  DESCRIPTION
    Upload file contents to a volume

#man virsh
 
vol-upload [--pool pool-or-uuid] [--offset bytes] [--length bytes] vol-name-or-key-or-path local-file
           Upload the contents of local-file to a storage volume.  --pool pool-or-uuid is the name or UUID of the storage
           pool the volume is in.  vol-name-or-key-or-path is the name or key or path of the volume where the file will be
           uploaded.  --offset is the position in the storage volume at which to start writing the data. --length is an
           upper bound of the amount of data to be uploaded.  An error will occur if the local-file is greater than the
           specified length.

#man virsh 
vol-download [--pool pool-or-uuid] [--offset bytes] [--length bytes] vol-name-or-key-or-path local-file
           Download the contents of a storage volume to local-file.  --pool pool-or-uuid is the name or UUID of the storage
           pool the volume is in.  vol-name-or-key-or-path is the name or key or path of the volume to download.  --offset
           is the position in the storage volume at which to start reading the data. --length is an upper bound of the
           amount of data to be downloaded.
Comment 4 Ludek Smid 2014-06-13 06:59:14 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.